<template>
	<div>
		<template v-if="address.streetAddress">
			{{ address.streetAddress }}
			<br />
			<template v-if="address.addressLocality"
				>{{ address.addressLocality
				}}<template v-if="address.addressLocality && address.addressRegion">,&nbsp;</template></template
			>
			<template v-if="address.addressRegion">{{ address.addressRegion }}</template>
			<br />
			<a v-if="contactAddressHref" :href="contactAddressHref" target="_blank">Navigate to Contact Address</a>
		</template>
		<template v-else>Street address unavailable.</template>
		<br />
		<a v-if="fieldLocationHref" :href="fieldLocationHref" target="_blank">Navigate to Field Location</a>
	</div>
</template>

<script lang="ts">
import { defineComponent, computed } from '@vue/composition-api';
import { Area, Address } from '@/store/types';
import { createContactAddressHref, createFieldLocationHref } from './FieldAddress';

export default defineComponent({
	props: {
		address: { type: Object as () => Address, required: true },
		areas: { type: Array as () => Area[], required: true },
	},
	setup({ address, areas }) {
		const contactAddressHref = computed(() => createContactAddressHref(address));
		const fieldLocationHref = computed(() => createFieldLocationHref(areas[0]));

		return {
			contactAddressHref,
			fieldLocationHref,
		};
	},
});
</script>
